Skip to main content
POST
/
o
/
{organisation_id}
/
issues
Create a new issue.
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/issues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organisationId": "<string>",
  "environmentId": "<string>",
  "reason": "error",
  "title": "<string>",
  "severity": "high",
  "projectId": "<string>",
  "message": "<string>",
  "labels": {},
  "annotations": {}
}
'
{
  "id": "<string>",
  "organisationId": "<string>",
  "projectId": "<string>",
  "environmentId": "<string>",
  "status": "open",
  "reason": "error",
  "message": "<string>",
  "title": "<string>",
  "labels": {},
  "annotations": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "lastSeenAt": "2023-11-07T05:31:56Z",
  "seenCount": 123,
  "resolutionStatus": "resolved",
  "resolvedAt": "2023-11-07T05:31:56Z",
  "severity": "high"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Body

application/json
organisationId
string
required

ID of the organization the issue belongs to

environmentId
string
required

ID of the environment the issue occurred in

reason
enum<string>
required

Reason for the issue creation

Available options:
error,
manual
title
string
required

Title of the issue

severity
enum<string>
required

Severity level of the issue

Available options:
high,
low,
medium
projectId
string

ID of the project the issue belongs to

message
string

Detailed message of the issue

labels
object

Key-value pairs for searchable labels

annotations
object

Key-value pairs for additional non-searchable information

Response

Created

id
string
required

Unique identifier for the issue (ULID)

organisationId
string
required

ID of the organization the isszue belongs to

projectId
string
required

ID of the project the issue belongs to

environmentId
string
required

ID of the environment the issue occurred in

status
enum<string>
required

Current status of the issue

Available options:
open,
closed,
acked,
resolved
reason
enum<string>
required

Reason for the issue creation

Available options:
error,
manual
message
string
required

Detailed message of the issue

title
string
required

Title of the issue

labels
object
required

Key-value pairs for searchable labels

annotations
object
required

Key-value pairs for additional non-searchable information

createdAt
string<date-time>
required

Timestamp when the issue was created

lastSeenAt
string<date-time>
required

Timestamp when the issue was last seen

seenCount
integer
required

Number of times the issue has been seen

resolutionStatus
enum<string>

Status of the issue resolution

Available options:
resolved,
negated,
ignored
resolvedAt
string<date-time> | null

Timestamp when the issue was resolved

severity
enum<string>

Severity level of the issue

Available options:
high,
low,
medium